{
    attributes = (
        {
            columnName = "pai_Ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "vir_Ordre"; }; 
            name = paiOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tvi_Ordre"; 
            externalType = NUMBER; 
            name = tviOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "utl_ordre"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VIR_COMPTE"; 
            externalType = VARCHAR2; 
            name = virCompte; 
            valueClassName = NSString; 
            valueType = S; 
            width = 34; 
        }, 
        {
            allowsNull = Y; 
            columnName = "vir_contenu"; 
            externalType = CLOB; 
            internalInfo = {"_nameInObjectStore" = "vfb_contenu"; }; 
            name = virContenu; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "vir_date_creation"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "vfb_date"; }; 
            name = virDateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "vir_date_valeur"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "vfb_date"; }; 
            name = virDateValeur; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "vir_Ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "vfb_Ordre"; }; 
            name = virOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (paiOrdre, tviOrdre, utlOrdre, virOrdre); 
    className = "org.cocktail.maracuja.server.metier.EOVirementFichier"; 
    classProperties = (
        paiement, 
        typeVirement, 
        utilisateur, 
        virCompte, 
        virContenu, 
        virDateCreation, 
        virDateValeur
    ); 
    externalName = "maracuja.Virement_Fichier"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            paiement, 
            typeVirement, 
            utilisateur, 
            virCompte, 
            virContenu, 
            virDateCreation, 
            virDateValeur
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOVirementFichier"; 
    }; 
    name = VirementFichier; 
    primaryKeyAttributes = (virOrdre); 
    relationships = (
        {
            destination = Paiement; 
            internalInfo = {"_nameInObjectStore" = virement; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = paiOrdre; sourceAttribute = paiOrdre; }); 
            name = paiement; 
        }, 
        {
            destination = TypeVirement; 
            internalInfo = {"_nameInObjectStore" = formatFichier; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tviOrdre; sourceAttribute = tviOrdre; }); 
            name = typeVirement; 
        }, 
        {
            destination = Utilisateur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
